.css-qm60v3{
        display: none;
}
button{
    &:disabled{
        opacity: 0.5;
        pointer-events: none;
    }
    &.finalize-btn{
        background: rgba(0, 173, 255, 0.31);
        color: #2760aa !important;
        font-weight: 600;
    }
}
.page-loader{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.loader{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.my-layout-outer{
    .content-container{
        margin-left: -64px;
        padding: 0px 24px;
        display: flex;
        flex-direction: column;
        height: 100%;
        overflow: hidden;
    }
}

.edit-inline-dialog{
    button + div{
        top: 60px !important;
        right: 20px !important;
        left: initial !important;
        transform: none !important;
    }
}

.edit-dialog-content{
    text-align: left;
    min-width: 430px;
    .form-field{
        margin-bottom: 16px;
        label{
            font-weight: 400;
            font-size: 14px;
            span{
            font-weight: 400;
            font-size: 14px;
            }
        }
    }
    .dialog-footer{
        display: flex;
        justify-content: flex-end;
    }
}

.react-tags-wrapper{
    border: 2px solid #dee1e6;
    color: #7a869a;
    padding: 5px 2px;
}

.ag-theme-balham, 
.ag-theme-material
{
    &.ag-custom-styles{
        height: calc(100vh - 65px) !important;
        .ag-root{
            border: 0;
        }
        &.device-grid{
            .ag-header {
                height: 70px !important;
                min-height: initial !important;
            }
        }
        &.dashboard-games-grid{
            height: 300px !important;
            .ag-header{
                height: 36px !important;
            }
        }
        .ag-header-container{
            height: 38px !important;
            .ag-header-cell{
                line-height: normal;
                padding-left: 0;
                .ag-floating-filter-body{
                    width: 85%;
                }
                &:first-child{
                    .ag-floating-filter-body{
                        position: relative;
                        left: 16px;
                    }
                }
                &:after{
                    border-right: 1px solid rgba(189, 195, 199, 0.5);
                    content: " ";
                    height: 16px;
                    margin-top: 8px;
                    position: absolute;
                    right: 12px;
                    text-indent: -2000px;
                    top: -5px;
                }
            }
        }

        .ag-header {
            background-color: transparent;
            border-bottom: 0;
            .ag-header-row{
                border: 0;
                &:nth-child(1){
                    top: 6px !important;
                }
                &:nth-child(2){
                    height: 38px !important;
                    top: 33px !important;
                    padding: 7px 0px;
                    background: #F5F6F8;
                    box-shadow: 0 1px 0 0 #EEEEF1, inset 0 1px 0 0 #EEEEF1;
                }
            }
        }

        .ag-cell{
            line-height: 48px;
            font-size: 14px;
            color: #555D79;
            text-align: left;
            padding-left: 0px;
            &.device-offline{
                .ag-selection-checkbox:after{
                    background: #bcc2cc;
                }
            }
            &.device-online{
                .ag-selection-checkbox:after{
                    background: #0ED09D;
                }
            }
            a{
                text-decoration: none;
                color: #1847a6;
                &:hover{
                    text-decoration: underline;
                }
            }
            &.game_name_col{
                .ag-react-container{
                    overflow: hidden;
                    text-overflow: ellipsis;
                    white-space: nowrap;
                    &:after{
                        background: #0ED09D;
                    }
                }
                &.blue-icon{
                    .ag-react-container:before{
                        content: '\25CF';
                        color: #1847a6;
                        padding-right: 2px;
                        font-size: 28px;
                        position: relative;
                        top: 3px;
                    }
                }
                &.gray-icon{
                    .ag-react-container:before{
                        content: '\25CF';
                        color: #bcc2cc;
                        padding-right: 2px;
                        font-size: 28px;
                        position: relative;
                        top: 3px;
                    }
                }
                &.green-icon{
                    .ag-react-container:before{
                        content: '\25CF';
                        color: #13bd55;
                        padding-right: 2px;
                        font-size: 28px;
                        position: relative;
                        top: 3px;         
                    }
                }
                &.red-icon{
                    .ag-react-container:before{
                        content: '\25CF';
                        color: #c90c1f;
                        padding-right: 2px;
                        font-size: 28px;
                        position: relative;
                        top: 3px;                  
                    }
                }

                .ag-react-container:before{
                    content: '\25CF';
                    color: transparent;
                    padding-right: 2px;
                    font-size: 28px;
                    position: relative;
                    top: 3px;
                }
            }
        }

        .ag-ltr{
            .ag-cell-focus{
                border: 1px solid transparent;
            }
            .ag-row-group-leaf-indent{
                margin-left: 0px;
            }
        } 
        .ag-floating-filter-body {
            // width: 100% !important;
            input {
                background: #FFFFFF;
                border: 1px solid #E7E9F0;
                border-radius: 2px;
                height: 24px;
            }
        }
        .ag-floating-filter-button{
            display: none;
        }
        .ag-header-cell-label{
            .ag-header-cell-text{
                font-size: 14px;
                color: #555D79;
                font-weight: 600;
            }
            .ag-header-icon{
                &:not(.ag-sort-ascending-icon):not(.ag-sort-descending-icon){
                    span{
                        background-image: none;
                    }
                }
                span{
                    height: 18px;
                }
            }
        }
        
        .ag-row{
            border: 0;
            background: #FFFFFF;
            box-shadow: 0 1px 0 0 #EEEEF1, inset 0 1px 0 0 #EEEEF1;
            // cursor: pointer;
            &:hover{
                background-color: #F6F8FF;
            }
            .ag-group-value{
                &:before{
                    content: '';
                    border-radius: 50%;
                    margin-right: 5px;
                    position: relative;
                    top: 2px;
                    display: inline-block;
                    height: 13px;
                    min-width: 13px;
                    background: #0ED09D;
                }
            }
        } 
        
        .ag-selection-checkbox{
            &:after{
                content: '';
                border-radius: 50%;
                margin-right: 5px;
                position: relative;
                top: 1px;
                display: inline-block;
                height: 13px;
                min-width: 13px;
                // background: #0ED09D;
            }
            span{
                margin-right: 5px;
                cursor: pointer;
            }
        }
        .ag-paging-panel{
            justify-content: space-between !important;
            font-weight: 600;
            padding: 0;
            font-size: 14px;
            button{
                cursor: pointer;
            }
            > span{
                margin-left: 0px; 
            }
        }
    }
}

.dashboard-page{
    background-color: #f4f5f7;
}

.cards-section{
    display: flex;
    justify-content: space-between;
    .card-container{
        background: #FFFFFF;
        box-shadow: 0 0 4px 0 rgba(0,0,0,0.10);
        border-radius: 4px;
        min-width: 23%;
        // 236px;
        min-height: 120px;
        display: flex;
        align-items: center;
        padding: 16px;
        box-sizing: border-box;
        .content{
            display: flex;
            flex-direction: column;
            text-align: left;
            padding-left: 16px;
            .title{
                font-size: 14px;
                color: #555d79;
                letter-spacing: 0.1px;
                font-weight: 600;
            }
            .count{
                font-weight: 500;
                font-size: 30px;
                color: #3240A1;
                // color: #3AC39D;
                line-height: 35px;
            }
            &.online{
                .count{
                    color: #3AC39D;
                } 
            }
        }
    }

}


.charts-container{
    display: flex;
    justify-content: space-between;
    min-height: 450px
    
}
.card-container2{
    width:50%;
    background:#FFFFFF;
    margin-right: 27px;
    margin-top: 30px;
    overflow: hidden;
    text-align: center;
    border-radius: 3px;
    box-shadow: 0 0 4px 0 rgba(0,0,0,0.10);
    &.m-r-0{
        margin-right: 0;
    }
}

svg {
    width: 100%;
    max-width: 100%;
}

// header css for device and integration charts

.device-header{
    p{
        position: relative;
        padding: 16px 15px;
        margin: 0;
    }
    border-bottom: 2px solid #EEEEEE; 
    text-align: left;
    color:#58627A;
    height:50px;
    background-color: #FFFFFF; 
    justify-content: center;
    align-items: center;
    font-weight: 600;
    
}
.charts-container {
    g[class$="creditgroup"] {
        display: none;
    }
    g[class$="-legend"] {
        text{
            font-weight: 600 !important;
        }
    }
 }
 
 .stream-content-box{
    position: relative;
    height: calc(100vh - 120px);
 }

 .DropdownMenu-devices{
    display: flex;
    order: 1;
    margin-right: 12px;    
  }


.game-status-indicator{
    &.blue-icon{
        color: #1847a6;
    }
    &.green-icon{
        color: #13bd55;
    }
    &.gray-icon{
        color: #787878;
    }
    &.red-icon{
        color: #c90c1f;
    }
}

.status-icon-wrap{
    text-align: left;
    display: flex;
    align-items: center;
    &.blue-icon{
        color: #1847a6;
    }
    &.green-icon{
        color: #13bd55;
    }
    &.gray-icon{
        color: #787878;
    }
    &.red-icon{
        color: #c90c1f;
    }
}




